<?php

namespace Bixo\Blacklist;

use DB;
use Illuminate\Database\Seeder;

class BlacklistTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('blacklists')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'blacklist.blacklist.view',
                'name'      => 'View Blacklist',
            ],
            [
                'slug'      => 'blacklist.blacklist.create',
                'name'      => 'Create Blacklist',
            ],
            [
                'slug'      => 'blacklist.blacklist.edit',
                'name'      => 'Update Blacklist',
            ],
            [
                'slug'      => 'blacklist.blacklist.delete',
                'name'      => 'Delete Blacklist',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/blacklist/blacklist',
                'name'        => 'Blacklist',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/blacklist/blacklist',
                'name'        => 'Blacklist',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'blacklist',
                'name'        => 'Blacklist',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Blacklist',
                'module'    => 'Blacklist',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'blacklist.blacklist.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
