<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for blacklist in blacklist package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  blacklist module in blacklist package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Blacklist',
    'names'         => 'Blacklists',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Blacklists',
        'sub'   => 'Blacklists',
        'list'  => 'List of blacklists',
        'edit'  => 'Edit blacklist',
        'create'    => 'Create new blacklist'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'value'                      => 'Please enter value',
        'type'                       => 'Please enter type',
        'description'                => 'Please enter description',
        'user_Id'                    => 'Please enter user Id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'value'                      => 'Value',
        'type'                       => 'Type',
        'description'                => 'Description',
        'user_Id'                    => 'User Id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'value'                      => ['name' => 'Value', 'data-column' => 1, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 2, 'checked'],
        'description'                => ['name' => 'Description', 'data-column' => 3, 'checked'],
        'user_Id'                    => ['name' => 'User Id', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Blacklists',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
