<?php

namespace Bixo\Blacklist\Repositories\Eloquent;

use Bixo\Blacklist\Interfaces\BlacklistRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class BlacklistRepository extends BaseRepository implements BlacklistRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.blacklist.blacklist.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.blacklist.blacklist.model.model');
    }
}
