<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBlacklistsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: blacklists
         */
        Schema::create('blacklists', function ($table) {
            $table->increments('id');
            $table->string('value', 100)->nullable();
            $table->string('type', 30)->nullable();
            $table->text('description')->nullable();
            $table->integer('user_Id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('blacklists');
    }
}
